#!/bin/sh
#
# $FreeBSD: ports/sysutils/runit/files/runsvdir.sh.in,v 1.3 2005/07/22 05:28:53 sergei Exp $
#

# PROVIDE: /service
# REQUIRE: 
# BEFORE:  SERVERS
# KEYWORD: shutdown

# Add the following lines to /etc/rc.conf to enable `runsvdir':
#
#runsvdir_enable="YES"		(default: NO)
#runsvdir_path="/service"	(default: /var/service)
#

. "/etc/rc.subr"

name="runsvdir"
rcvar=`set_rcvar`

command="/usr/local/sbin/runsvdir"

start_cmd=runsvdir_start
stop_postcmd=runsvdir_post_stop

runsvdir_start()
{
	/bin/test -d ${runsvdir_path} || /bin/mkdir -p ${runsvdir_path}
	/usr/bin/env -i \
		PATH=/command:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin \
		/usr/sbin/daemon \
		${command} ${runsvdir_path}
}

runsvdir_post_stop()
{
	/usr/local/sbin/runsvctrl exit ${runsvdir_path}/* 
}

# read configuration and set defaults
load_rc_config "$name"
: ${runsvdir_enable="NO"}
: ${runsvdir_path="/var/service"}

run_rc_command "$1"
